<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');

$config['max_records_per_page']         = "250";
$config['layout_folder']                = "layouts/";
$config['welcome_page']                 = "/shop/products";
$config['customer_page']                = "/shop/myorders";

/* ALL VIEWS PATH */
$config['noaccess_view']                = "global/noaccess";
$config['login_view']                   = "global/login";
$config['dashboard_view']                   = "global/dashboard";
$config['link_list_view']               = "links/list";
$config['link_record_view']             = "global/record";
$config['user_list_view']               = "contacts/users";
$config['user_record_view']             = "contacts/user";
$config['record_view']                  = "global/record";
$config['product_list_view']            = "shop/products";
$config['gateway_list_view']            = "shop/gateways";
$config['template_list_view']           = "config/templates";
$config['order_list_view']              = "shop/orders";
$config['link_record_view']             = "global/record";
$config['site_list_view']               = "cms/sites";
$config['site_category_view']           = "cms/category";
$config['post_list_view']               = "cms/posts";
$config['post_record_view']             = "cms/post";
$config['myorder_list_view']            = "shop/myorders";
$config['setting_list_view']            = "config/settings";
$config['research_list_view']           = "tools/research";
$config['app_list_view']                = "apps/manager";

/* ALL MODELS PATH */

/* GLOBAL MODELS */
$config['meta_model']                   = "global/Meta_model";
$config['perm_model']                   = "global/Perm_model";
$config['rule_model']                   = "global/Rule_model";
$config['smp_model']                    = "global/Smp_model";
$config['dashboard_model']              = "global/Dashboard_model";

/* LINK MODEL */
$config['link_model']                   = "links/Link_model";

/* SHOP MODEL */
$config['shop_model']                   = "shop/Shop_model";

/* USER MODELS */
$config['user_model']                   = "contacts/User_model";

/* CMS MODELS */
$config['cms_model']                    = "cms/Cms_model";

/* PAGE PATHS */
$config['page_list_links']              = "/links/master/index/";
$config['page_list_products']           = "/shop/products/index/";
$config['page_list_orders']             = "/shop/orders/index/";
$config['page_list_orderhistory']       = "/shop/orders/history/";
$config['page_list_myorders']           = "/shop/myorders/index/";
$config['page_list_gateways']           = "/shop/gateways/index/";
$config['page_list_templates']          = "/config/templates/index/";
$config['page_list_users']              = "/contacts/users/index/";
$config['page_list_sites']              = "/cms/sites/index/";
$config['page_list_posts']              = "/cms/posts/index/";
$config['page_list_settings']           = "/config/settings/index/";

/* FORM PATHS */
$config['form_link_search']             = "links/master/index/search";
$config['form_link_record']             = "links/master/record";
$config['form_user_search']             = "contacts/users/index/search";
$config['form_user_record']             = "contacts/users/record";
$config['form_product_search']          = "shop/products/index/search";
$config['form_product_record']          = "shop/products/record";
$config['form_gateway_search']          = "shop/gateways/index/search";
$config['form_gateway_record']          = "shop/gateways/record";
$config['form_order_record']            = "shop/orders/record";
$config['form_order_search']            = "shop/orders/index/search";
$config['form_site_search']             = "cms/sites/index/search";
$config['form_site_record']             = "cms/sites/record";
$config['form_post_search']             = "cms/posts/index/search";
$config['form_post_record']             = "cms/posts/record";
$config['form_category_record']         = "cms/category/index";
$config['form_template_search']         = "config/templates/index/search";
$config['form_template_record']         = "config/templates/record";
$config['form_setting_search']          = "config/settings/index/search";
$config['form_setting_record']          = "config/settings/record";

/* ALL PERMISSION VARIABLES */
$config['perm_view']                    = "perm_view";
$config['perm_add']                     = "perm_add";
$config['perm_edit']                    = "perm_edit";
$config['perm_delete']                  = "perm_delete";
$config['perm_self']                    = "perm_self";
$config['perm_others']                  = "perm_others";

/* ALL TABLE NAMES */
$config['tbl_users']                    = "global_users";
$config['tbl_products']                 = "shop_products";
$config['tbl_order_items']              = "shop_order_items";
$config['tbl_templates']                = "global_templates";
$config['tbl_transactions']             = "global_transactions";
$config['tbl_gateways']                 = "global_gateways";
$config['tbl_product_gateways']         = "mapping_product_gateways";
$config['tbl_sites']                    = "site_sites";
$config['tbl_posts']                    = "site_posts";
$config['tbl_config']                   = "global_config";
$config['tbl_cms_category']             = "post_categories";
$config['tbl_currency']                 = "global_currency";
$config['tbl_roles']                    = "global_roles";
$config['tbl_role_modules']             = "mapping_role_modules";
$config['tbl_modules']                  = "global_modules";
$config['tbl_submodules']               = "global_submodules";
$config['tbl_submodule_files']          = "global_submodule_files";
$config['tbl_logs']                     = "global_logs";
$config['tbl_hooks']                    = "global_hooks";

/* URLS */
$config['smp_version_url']              = "http://invanto.com/crm/index.php/socket/version/runcheck/";
$config['smp_tutorials']                = "http://www.sitemanpro.com/classroom/category/sitemanpro/";
$config['smp_tutorials_feed']           = "http://www.sitemanpro.com/classroom/category/sitemanpro/feed/";
$config['smp_forum_feed']               = "http://sitemanpro.com/community/index.php?app=core&module=global&section=rss&type=forums&id=1";
$config['smp_admin_feed']               = "feed://sitemanpro.com/community/index.php?app=core&module=global&section=rss&type=forums&id=2";
/* HOOKS */
$config['hook_shop_download_info']      = "hook_shop_download_info";
$config['hook_shop_order_complete']     = "hook_shop_order_complete";

/* USER TYPE CONSTANTS */
$config['role_admin']                   = 1;
$config['role_customer']                = 2;
