<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Users extends Controller {

    function __construct() {
            parent::Controller();
            $module_name = "contacts";
            $this->load->model($this->config->item('user_model'));
            $this->load->model($this->config->item('shop_model'));
            $this->load->model($this->config->item('smp_model'));
    }

    //---------------------------------------------------------------

    //<editor-fold desc="FUNCTION DESCRIPTION: SHOW THE USER LIST PAGE">
    /*
     * Function: index
     * Description: Shows the user list page
     * ##############################################################
     * Written: 09/20/2010
     * Author: Deep Arora
     * --------------------------------------------------------------
     * Update Log:
     * --------------------------------------------------------------
     * ##############################################################
     * @access public
     * @return void
     */
    //</editor-fold>
    function index($offset = '')
    {
        //<editor-fold desc="CHECK USER PERMISSION">
        smp_check_permission($this->config->item('perm_view'));
        //</editor-fold>

        //<editor-fold desc="SET PAGE META">
        $page_button_set = array(
            'Add New'    =>  'users/record',
            'View All'    =>  'users'
        );
        smp_set_page_meta('contacts', 'users', $page_button_set);
        //</editor-fold>

        //<editor-fold desc="CREATE SEARCH FORM">
        $search_form_fields = array(
            array(
                 'field'    =>  'role_id',
                 'label'    =>  'User Type',
                 'type'     =>  'dropdown',
                 'class'    =>  '',
                 'value'    =>  get_options($this->config->item('tbl_roles'), 'role_id', 'title', 'flg_enable = \'Yes\''),
                 'selected' =>  ''
              ),
            array(
                'field'    =>  'username',
                'label'    =>  'User name',
                'type'     =>  'text',
                'class'    =>  'small',
                'value'    =>  ''
            ),
            array(
                'field'    =>  'email',
                'label'    =>  'Email',
                'type'     =>  'text',
                'class'    =>  'small',
                'value'    =>  ''
            ),
            array(
                'field'    =>  'last_name',
                'label'    =>  'Last Name',
                'type'     =>  'text',
                'class'    =>  'small',
                'value'    =>  ''
            ),
            array(
                'field'    =>  'addr_city',
                'label'    =>  'City',
                'type'     =>  'text',
                'class'    =>  'small',
                'value'    =>  ''
            ),
            array(
                'field'    =>  'addr_state',
                'label'    =>  'State',
                'type'     =>  'text',
                'class'    =>  'small',
                'value'    =>  ''
            ),
            array(
                'field'    =>  'addr_zip',
                'label'    =>  'Zip',
                'type'     =>  'text',
                'class'    =>  'small',
                'value'    =>  ''
            ),
            array(
                'field'    =>  'addr_country',
                'label'    =>  'Country',
                'type'     =>  'text',
                'class'    =>  'small',
                'value'    =>  ''
            )
        );
        smp_create_form($search_form_fields, $this->config->item('form_user_search'), 'form_search');
        //</editor-fold>

        //<editor-fold desc="FETCHING DATA">
        $where_additional = smp_form_where_clause($_POST, $this->config->item('tbl_users'));
        $total_records = smp_count($this->config->item('tbl_users'), $where_additional);
        $result_set['user'] = $this->User_model->get_users($offset, $this->config->item('records_per_page'), $where_additional);
        $pagination = smp_set_pagination($this->config->item('page_list_users'), $total_records);
        //</editor-fold>

        //<editor-fold desc="LOAD THE TEMPLATE">
        $this->template->set('resultset', $result_set['user']);
        $this->template->set('pagination', $pagination);
        $this->template->view($this->config->item('user_list_view'));
        //</editor-fold>
    }

    //<editor-fold desc="FUNCTION DESCRIPTION: SHOW THE USER VIEW/EDIT PAGE">
    /**
     * Function: record
     * Description: Shows the user view/edit page
     * ##############################################################
     * Written: 09/28/2010
     * Author: Deep Arora
     * --------------------------------------------------------------
     * Update Log:
     * --------------------------------------------------------------
     * ##############################################################
     * @access public
     * @return void
     */
    //</editor-fold>
    function record($user_id = '', $offset = '')
    {
        //<editor-fold desc="CHECK USER PERMISSION">
        smp_check_permission($this->config->item('perm_view'));
        //</editor-fold>

        //<editor-fold desc="SET PAGE META">
        $page_button_set = array(
            'Add New'    =>  'users/record',
            'View All'    =>  'users'
        );
        smp_set_page_meta('contacts', 'users', $page_button_set);
        //</editor-fold>

        //<editor-fold desc="CREATE SEARCH FORM">
        $search_form_fields = array(
            array(
                 'field'    =>  'role_id',
                 'label'    =>  'User Type',
                 'type'     =>  'dropdown',
                 'class'    =>  '',
                 'value'    =>  get_options($this->config->item('tbl_roles'), 'role_id', 'title', 'flg_enable = \'Yes\''),
                 'selected' =>  ''
              ),
            array(
                'field'    =>  'username',
                'label'    =>  'User name',
                'type'     =>  'text',
                'class'    =>  'small',
                'value'    =>  ''
            ),
            array(
                'field'    =>  'email',
                'label'    =>  'Email',
                'type'     =>  'text',
                'class'    =>  'small',
                'value'    =>  ''
            ),
            array(
                'field'    =>  'last_name',
                'label'    =>  'Last Name',
                'type'     =>  'text',
                'class'    =>  'small',
                'value'    =>  ''
            ),
            array(
                'field'    =>  'addr_city',
                'label'    =>  'City',
                'type'     =>  'text',
                'class'    =>  'small',
                'value'    =>  ''
            ),
            array(
                'field'    =>  'addr_state',
                'label'    =>  'State',
                'type'     =>  'text',
                'class'    =>  'small',
                'value'    =>  ''
            ),
            array(
                'field'    =>  'addr_zip',
                'label'    =>  'Zip',
                'type'     =>  'text',
                'class'    =>  'small',
                'value'    =>  ''
            ),
            array(
                'field'    =>  'addr_country',
                'label'    =>  'Country',
                'type'     =>  'text',
                'class'    =>  'small',
                'value'    =>  ''
            )
        );
        smp_create_form($search_form_fields, $this->config->item('form_user_search'), 'form_search');
        //</editor-fold>

        //<editor-fold desc="FETCH FORM RULES & EXECUTE">
        $rules_config = smp_get_rules('users');
        $this->form_validation->set_rules($rules_config);
        //</editor-fold>

        //<editor-fold desc="POPULATE THE FORM">
        if ($user_id): $where_additional = "user_id = " . $user_id; else: $where_additional = "user_id = 0"; endif;

        if ($this->input->post('action') && $this->form_validation->run()){
            //smp_process_form($_POST, $this->config->item('tbl_transactions'), 'transaction_id = ' . $transaction_id, 'shop/orders');
            if (smp_action_permission($this->input->post('action'))) {
                $this->User_model->process_user($_POST, $this->input->post('action'), 'user_id = ' . $user_id, 'contacts/users');
            }
        }
        $result_set = $this->Smp_model->get_records($this->config->item('tbl_users'), $where_additional, $offset, $this->config->item('records_per_page'));

        if ($result_set):
            //$product_purchased = smp_lookup('user_id', $this->config->item('tbl_order_items'), 'order_id = ' . $transaction_id);
            foreach ($result_set as $value){
                /*  Create edit form */
                $user_form_fields = array(
                   array(
                         'field'    =>  'username',
                         'label'    =>  'Username',
                         'type'     =>  'text',
                         'class'    =>  'small',
                         'value'    =>  $value->username,
                   ),
                    array(
                         'field'    =>  'password',
                         'label'    =>  'Password',
                         'type'     =>  'text',
                         'class'    =>  'small',
                         'value'    =>  $value->password
                      ),
                   array(
                         'field'    =>  'first_name',
                         'label'    =>  'First Name',
                         'type'     =>  'text',
                         'class'    =>  'small',
                         'value'    =>  $value->first_name
                      ),
                   array(
                         'field'    =>  'last_name',
                         'label'    =>  'Last Name',
                         'type'     =>  'text',
                         'class'    =>  'small',
                         'value'    =>  $value->last_name
                      ),
                    array(
                         'field'    =>  'email',
                         'label'    =>  'Email',
                         'type'     =>  'text',
                         'class'    =>  'medium',
                         'value'    =>  $value->email
                      ),
                    array(
                         'field'    =>  'web_url',
                         'label'    =>  'Website',
                         'type'     =>  'text',
                         'class'    =>  'medium',
                         'value'    =>  $value->web_url
                      ),
                    array(
                         'field'    =>  'contact_phone',
                         'label'    =>  'Phone',
                         'type'     =>  'text',
                         'class'    =>  'small',
                         'value'    =>  $value->contact_phone
                      ),
                    array(
                         'field'    =>  'addr_street',
                         'label'    =>  'Street Address',
                         'type'     =>  'text',
                         'class'    =>  'medium',
                         'value'    =>  $value->addr_street
                      ),
                    array(
                         'field'    =>  'addr_city',
                         'label'    =>  'City',
                         'type'     =>  'text',
                         'class'    =>  'small',
                         'value'    =>  $value->addr_city
                      ),
                    array(
                         'field'    =>  'addr_state',
                         'label'    =>  'State',
                         'type'     =>  'text',
                         'class'    =>  'small',
                         'value'    =>  $value->addr_state
                      ),
                    array(
                         'field'    =>  'addr_zip',
                         'label'    =>  'Zip',
                         'type'     =>  'text',
                         'class'    =>  'small',
                         'value'    =>  $value->addr_zip
                      ),
                    array(
                         'field'    =>  'addr_country',
                         'label'    =>  'Country',
                         'type'     =>  'text',
                         'class'    =>  'small',
                         'value'    =>  $value->addr_country
                      ),
                    array(
                         'field'    =>  'role_id',
                         'label'    =>  'User Role',
                         'type'     =>  'dropdown',
                         'class'    =>  'medium',
                         'value'    =>  get_options($this->config->item('tbl_roles'), 'role_id', 'title', 'flg_enable = \'Yes\''),
                         'selected' =>  $value->role_id
                      ),
                    array(
                         'field'    =>  'points_total',
                         'label'    =>  'Total Points ',
                         'type'     =>  'text',
                         'class'    =>  'small',
                         'value'    =>  $value->points_total
                      ),
                    array(
                         'field'    =>  'points_balance',
                         'label'    =>  'Points Balance',
                         'type'     =>  'text',
                         'class'    =>  'small',
                         'value'    =>  $value->points_balance
                      ),
                   array(
                         'field'    =>  'flg_enabled',
                         'label'    =>  'User Enabled?',
                         'type'     =>  'dropdown',
                         'class'    =>  'small',
                         'value'    =>  get_options($this->config->item('tbl_config'), 'key_value', 'key_value', 'key_name =\'FLAG_YESNO\' '),
                         'selected' =>  $value->flg_enabled
                      ),
                    array(
                         'field'    =>  'remote_addr',
                         'label'    =>  'IP Address',
                         'type'     =>  'label',
                         'class'    =>  'small',
                         'value'    =>  $value->remote_addr
                      ),
                    array(
                         'field'    =>  'notify_user',
                         'label'    =>  'Notify User',
                         'type'     =>  'checkbox',
                         'class'    =>  'small',
                         'value'    =>  ''
                      ),
                    array(
                         'field'    =>  'user_id',
                         'label'    =>  'User ID',
                         'type'     =>  'hidden',
                         'class'    =>  'small',
                         'value'    =>  $user_id
                   ),
                );

                smp_create_form($user_form_fields, $this->config->item('form_user_record') . AMP . $user_id, 'form_record', 'perm_delete');
                $current_view = $this->config->item('user_record_view');
            }
        else:
            /*  Create view form */
                $user_form_fields = array(
                   array(
                         'field'    =>  'username',
                         'label'    =>  'Username',
                         'type'     =>  'text',
                         'class'    =>  'small',
                         'value'    =>  ''
                   ),
                    array(
                         'field'    =>  'password',
                         'label'    =>  'Password',
                         'type'     =>  'text',
                         'class'    =>  'small',
                         'value'    =>  ''
                      ),
                   array(
                         'field'    =>  'first_name',
                         'label'    =>  'First Name',
                         'type'     =>  'text',
                         'class'    =>  'small',
                         'value'    =>  ''
                      ),
                   array(
                         'field'    =>  'last_name',
                         'label'    =>  'Last Name',
                         'type'     =>  'text',
                         'class'    =>  'small',
                         'value'    =>  ''
                      ),
                    array(
                         'field'    =>  'email',
                         'label'    =>  'Email',
                         'type'     =>  'text',
                         'class'    =>  'medium',
                         'value'    =>  ''
                      ),
                    array(
                         'field'    =>  'web_url',
                         'label'    =>  'Website',
                         'type'     =>  'text',
                         'class'    =>  'medium',
                         'value'    =>  ''
                      ),
                    array(
                         'field'    =>  'contact_phone',
                         'label'    =>  'Phone',
                         'type'     =>  'text',
                         'class'    =>  'small',
                         'value'    =>  ''
                      ),
                    array(
                         'field'    =>  'addr_street',
                         'label'    =>  'Street Address',
                         'type'     =>  'text',
                         'class'    =>  'medium',
                         'value'    =>  ''
                      ),
                    array(
                         'field'    =>  'addr_city',
                         'label'    =>  'City',
                         'type'     =>  'text',
                         'class'    =>  'small',
                         'value'    =>  ''
                      ),
                    array(
                         'field'    =>  'addr_state',
                         'label'    =>  'State',
                         'type'     =>  'text',
                         'class'    =>  'small',
                         'value'    =>  ''
                      ),
                    array(
                         'field'    =>  'addr_zip',
                         'label'    =>  'Zip',
                         'type'     =>  'text',
                         'class'    =>  'small',
                         'value'    =>  ''
                      ),
                    array(
                         'field'    =>  'addr_country',
                         'label'    =>  'Country',
                         'type'     =>  'text',
                         'class'    =>  'small',
                         'value'    =>  ''
                      ),
                    array(
                         'field'    =>  'role_id',
                         'label'    =>  'User Role',
                         'type'     =>  'dropdown',
                         'class'    =>  'medium',
                         'value'    =>  get_options($this->config->item('tbl_roles'), 'role_id', 'title', 'flg_enable = \'Yes\''),
                         'selected' =>  $this->config->item('role_customer')
                      ),
                    array(
                         'field'    =>  'points_total',
                         'label'    =>  'Total Points ',
                         'type'     =>  'text',
                         'class'    =>  'small',
                         'value'    =>  ''
                      ),
                    array(
                         'field'    =>  'points_balance',
                         'label'    =>  'Points Balance',
                         'type'     =>  'text',
                         'class'    =>  'small',
                         'value'    =>  ''
                      ),
                    array(
                         'field'    =>  'flg_enabled',
                         'label'    =>  'User Enabled?',
                         'type'     =>  'dropdown',
                         'class'    =>  'small',
                         'value'    =>  get_options($this->config->item('tbl_config'), 'key_value', 'key_value', 'key_name =\'FLAG_YESNO\' '),
                         'selected' =>  ''
                      ),
                    array(
                         'field'    =>  'notify_user',
                         'label'    =>  'Notify User',
                         'type'     =>  'checkbox',
                         'class'    =>  'small',
                         'value'    =>  ''
                      )
                );
            smp_create_form($user_form_fields, $this->config->item('form_user_record'), 'form_record', 'perm_add', 'plain');
            $current_view = $this->config->item('record_view');

        endif;
        //</editor-fold>

        $result_set['orders'] = $this->Shop_model->get_orders($offset, $this->config->item('max_records_per_page'), $where_additional);

        //<editor-fold desc="LOAD THE TEMPLATE">
        $this->template->set('resultset_orders', $result_set['orders']);
        $this->template->view($current_view);
        //</editor-fold>
    }

     /**
     * Function: delete
     * Description: Deletes the user
     * ##############################################################
     * Written: 05/01/2010
     * Author: Deep Arora
     * --------------------------------------------------------------
     * Update Log:
     * --------------------------------------------------------------
     * ##############################################################
     * @access public
     * @return void
     */
    function delete($user_id = '')
    {
        //<editor-fold desc="DELETE RECORD">
        if (smp_check_permission($this->config->item('perm_delete'))){
            //smp_process_data("", $this->config->item('tbl_users'), "user_id = " . $user_id, "contacts/users", "Delete");
            $field_array['user_id'] = $user_id;
            $this->User_model->process_user($field_array, 'Delete', 'user_id = ' . $user_id, 'contacts/users');
        }
        //</editor-fold>
    }

    function verify_user($str)
    {
        $this->load->model($this->config->item('user_model'));
        $user_id = $this->User_model->verify_user($str);
        if ($user_id)
        {
            $_POST['user_id'] = $user_id;
        }
        else
        {
            $this->form_validation->set_message('verify_user', $this->lang->line('message_invalid_user'));
            return FALSE;
        }
    }

    function unique_user($str)
    {
        $this->load->model($this->config->item('user_model'));
        if ($this->input->post('user_id')){
            $user_id = $this->User_model->verify_user($str, 'user_id <> ' . $this->input->post('user_id'));
        }
        else{
            $user_id = $this->User_model->verify_user($str);
        }
        
        if ($user_id)
        {
            $this->form_validation->set_message('unique_user', $this->lang->line('message_account_taken'));
            return FALSE;
        }
        else
        {
            return TRUE;
        }
    }

}

/* End of file users.php */
/* Location: ./app/controllers/contacts/users.php */