<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class User_model extends Model {

    function User_model()
    {
            parent::Model();
    }

    //---------------------------------------------------------------

    /**
    * Function: dologin
    * Description: Login the user & sets the user session
    * ##############################################################
    * Written: 01/14/2010
    * Author: Deep Arora
    * --------------------------------------------------------------
    * Update Log:
    * --------------------------------------------------------------
    * ##############################################################
    * @access public
    * @return void
    */
    function dologin($user_name, $user_password)
    {
        $this->db->select('*');
        $this->db->from('global_users');
        $var_where_username = "(username = " . $this->db->escape($user_name) . " OR email =  " . $this->db->escape($user_name) . ")";
        $this->db->where($var_where_username);
        $var_where_pwd = "(password = " . $this->db->escape($user_password) . " OR password =  '" . md5($user_password) . "')";
        $this->db->where($var_where_pwd);
        $this->db->where('flg_enabled', YES);
        $this->db->limit(1);
        // Create the query
        $query = $this->db->get();
        
        if ($query->num_rows() == 1)
        {
                $row = $query->row_array();
                $user_data = array
                        (
                        'user_id' => $row['user_id'],
                        'user_name' => $row['username'],
                        'role_id' => $row['role_id'],
                        'first_name' => $row['first_name'],
                        'last_name' => $row['last_name'],
                        'email' => $row['email'],
                        'doj' => $row['r_cre_time'],
                        //'admin_id' => $row['admin_id'],
                        'logged_in' => TRUE
                        );
                $this->session->set_userdata($user_data);
                return;
        }
        else
        {
                //$this->session->set_flashdata('error', $this->lang->line('error_invalid_login'));
                return;
        }
    }
    //---------------------------------------------------------------

    function logout_user()
    {
        $user_data = array
                                (
                                        'user_id' => 0,
                                        'user_name' => 0,
                                        'role_id' => 0,
                                        'first_name' => 0,
                                        'last_name' => 0,
                                        'doj' => 0,
                                        'subscription_status' => 0,
                                        'plan' => 0,
                                        'points_total' => 0,
                                        'points_balance' => 0,
                                        'logged_in' => FALSE
                                );

        $this->session->sess_destroy();
        $this->session->unset_userdata($user_data);
    }

    /**
    * Function: send_password
    * Description: Send the user's password to registered mail id.
    * ##############################################################
    * Written: 01/14/2010
    * Author: Deep Arora
    * --------------------------------------------------------------
    * Update Log:
    * --------------------------------------------------------------
    * ##############################################################
    * @access public
    * @return void
    */
    function send_password($user)
    {
        $this->db->select('*');
        $this->db->from('global_users');
        $var_where_username = "(username = " . $this->db->escape($user) . " OR email =  " . $this->db->escape($user) . ")";
        $this->db->where($var_where_username);
        $this->db->limit(1);
        // Create the query
        $query = $this->db->get();

        if ($query->num_rows() == 1)
        {
            $row = $query->row_array();
            $username = $row['username'];
            $user_first_name = $row['first_name'];
            $user_last_name = $row['last_name'];
            $password = $row['password'];
            $email = $row['email'];

            $admin_name = smp_lookup("key_value", $this->config->item('tbl_config'), "key_name = 'ADMIN_NAME'");
            $admin_email = smp_lookup("key_value", $this->config->item('tbl_config'), "key_name = 'ADMIN_EMAIL'");


            $emailTpl = smp_lookup("key_value", $this->config->item('tbl_config'), "key_name = 'TPL_EMAIL_SEND_PASSWORD'");
            if ($emailTpl<>"")
            {
                $emailTpl = str_replace("{first_name}", $user_first_name, $emailTpl);
                $emailTpl = str_replace("{last_name}", $user_last_name, $emailTpl);
                $emailTpl = str_replace("{username}", $username, $emailTpl);
                $emailTpl = str_replace("{password}", $password, $emailTpl);
                $emailTpl = str_replace("{email}", $email, $emailTpl);
                $emailTpl = str_replace("{admin_name}", $admin_name, $emailTpl);
                $emailTpl = str_replace("{admin_email}", $admin_email, $emailTpl);
                
                $subject = '[Your Password]';
                $message = $emailTpl;
                smp_sendmail($subject, $message, $admin_email, $admin_name, $email, '', '', 'html');
            }

            return 1;
        }
        else
        {
                return 0;
        }
    }
    //---------------------------------------------------------------

    //---------------------------------------------------------------

    /**
    * Function: get_users
    * Description: Fetch the list of users
    * ##############################################################
    * Written: 02/09/2010
    * Author: Deep Arora
    * --------------------------------------------------------------
    * Update Log:
    * --------------------------------------------------------------
    * ##############################################################
    * @access public
    * @return void
    */
    function get_users($offset = 0, $limit = 25, $where_additional='', $role_id='')
    {
        $this->db->select('*');
        $this->db->from('global_users');
        if ($where_additional){
                $this->db->where($where_additional);
        }
        if ($role_id): $this->db->where('role_id', $role_id); endif;
        $this->db->order_by('first_name', 'ASC');
        $this->db->limit($limit, $offset);

        $query = $this->db->get();

        $return = array();
        if ($query->num_rows() > 0){
            foreach($query->result_array() as $key => $user)
            {
                $return[$key] = $user;
                $return[$key]['role'] =  $this->_get_user_role($user['role_id']);
            }
            return $return;
        }

    }
    //---------------------------------------------------------------

    function _get_user_role($role_id)
    {
        $this->db->select('title');
        $this->db->where('role_id', $role_id);
        $this->db->limit(1);

        $query = $this->db->get($this->config->item('tbl_roles'));

        if ($query->num_rows())
        {
            $row = $query->row_array();
            $role = $row['title'];
	}
        return $role;
    }


    //---------------------------------------------------------------

    /**
    * Function: validate_user_login_name
    * Description: Varifies if the user login name already exists or not
    * ##############################################################
    * Written: 04/16/2010
    * Author: Deep Arora
    * --------------------------------------------------------------
    * Update Log:
    * --------------------------------------------------------------
    * ##############################################################
    * @access public
    * @return void
    */
    function check_unique_login_name($user_login_name = '')
    {
        //echo 'in validate_user_login_name' . $user_login_name;
        $this->db->where('user_login_name', $user_login_name);

        if ($this->db->count_all_results('global_users') >= 1)
        {
            return FALSE;
        }
        return TRUE;
    }

    /**
    * Function: get_users_count
    * Description: Fetch the total count of users
    * ##############################################################
    * Written: 02/09/2010
    * Author: Deep Arora
    * --------------------------------------------------------------
    * Update Log:
    * --------------------------------------------------------------
    * ##############################################################
    * @access public
    * @return total count of users
    */
    function get_users_count($where_additional='')
    {
        if ($where_additional){
                $this->db->where($where_additional);
        }
        return $this->db->count_all_results('global_users');
    }


    function verify_user($str, $where_additional = '')
    {
            $this->db->select('user_id');
            $this->db->where('(username = \''. $str . '\' OR email = \'' . $str . '\')');
            //$this->db->or_where('email', $str);
            if ($where_additional){
                $this->db->where($where_additional);
            }
            $query = $this->db->get($this->config->item('tbl_users'));

            if ($query->num_rows() == 0)
            {
                return 0;
            }
            else
            {
                return $query->row('user_id');

            }
            return TRUE;
    }

    function process_user($field_array, $table_action = 'Submit', $where_additional = '', $post_action_path = '')
    {
        switch($table_action) {
            case "Submit":
                $this->db->trans_start();
                $data_user = array
		(
			'username' => $field_array['username'],
			'password' => $field_array['password'],
			'first_name' => $field_array['first_name'],
			'last_name' => $field_array['last_name'],
			'email' => $field_array['email'],
			'web_url' => $field_array['web_url'],
			'contact_phone' => $field_array['contact_phone'],
                        'addr_street' => $field_array['addr_street'],
			'addr_city' => $field_array['addr_city'],
                        'addr_state' => $field_array['addr_state'],
			'addr_zip' => $field_array['addr_zip'],
			'addr_country' => $field_array['addr_country'],
                        'flg_enabled' => $field_array['flg_enabled'],
                        'points_total' => $field_array['points_total'],
                        'points_balance' => $field_array['points_balance'],
                        'role_id' => $field_array['role_id']
		);
		$this->db->insert($this->config->item('tbl_users'), $data_user);

                /*$product_id = $this->db->insert_id();
                if(isset($field_array['gateways']) && is_array($field_array['gateways'])):
                    foreach ($field_array['gateways'] as &$gateway_id) {
                        $data_gateway = array
                        (
                                'gateway_id' => $gateway_id,
                                'product_id' => $product_id,
                                'gateway_title' => smp_lookup('title', $this->config->item('tbl_gateways'), 'gateway_id = ' . $gateway_id)
                        );
                        $this->db->insert($this->config->item('tbl_product_gateways'), $data_gateway);
                    }
                endif;
                */
                
                $this->db->trans_complete();

                if ($post_action_path){
                    $post_action_path = site_url($post_action_path);
                    header('Location: ' . $post_action_path);
                }
                else{
                    $this->template->set('system_message',  $this->lang->line('message_record_inserted'));
                    return true;
                }

            break;

            case "Save":
                $this->db->trans_start();
                $data_user = array
		(
			'username' => $field_array['username'],
			'password' => $field_array['password'],
			'first_name' => $field_array['first_name'],
			'last_name' => $field_array['last_name'],
			'email' => $field_array['email'],
			'web_url' => $field_array['web_url'],
			'contact_phone' => $field_array['contact_phone'],
                        'addr_street' => $field_array['addr_street'],
			'addr_city' => $field_array['addr_city'],
                        'addr_state' => $field_array['addr_state'],
			'addr_zip' => $field_array['addr_zip'],
			'addr_country' => $field_array['addr_country'],
                        'flg_enabled' => $field_array['flg_enabled'],
                        'points_total' => $field_array['points_total'],
                        'points_balance' => $field_array['points_balance'],
                        'role_id' => $field_array['role_id']
		);
                $this->db->where($where_additional);
		$this->db->update($this->config->item('tbl_users'), $data_user);

                /*
                $this->db->where($where_additional);
                $this->db->delete($this->config->item('tbl_product_gateways'));

                if(isset($field_array['gateways']) && is_array($field_array['gateways'])):
                    foreach ($field_array['gateways'] as &$gateway_id) {
                        $data_gateway = array
                        (
                                'gateway_id' => $gateway_id,
                                'product_id' => $field_array['product_id'],
                                'gateway_title' => smp_lookup('title', $this->config->item('tbl_gateways'), 'gateway_id = ' . $gateway_id)
                        );
                        $this->db->insert($this->config->item('tbl_product_gateways'), $data_gateway);
                    }
                endif;
                */

                $this->db->trans_complete();
                $this->template->set('system_message',  $this->lang->line('message_record_updated'));
                return true;

            break;


            case "Delete":
                $this->db->trans_start();
                $this->db->where($where_additional);
                $this->db->delete($this->config->item('tbl_users'));
                $this->db->trans_complete();

                if ($post_action_path){
                    $post_action_path = site_url($post_action_path);
                    header('Location: ' . $post_action_path);
                }
                else{
                    $this->template->set('system_message',  $this->lang->line('message_record_deleted'));
                    return true;
                }

            break;


            case "default":
            break;
        }
        //echo $this->db->last_query();

    }

    function get_customers($offset = 0, $limit = 25, $where_additional='')
    {
        $this->db->select('*');
        if ($where_additional){
                $this->db->where($where_additional);
        }
        $this->db->limit($limit, $offset);
        $query = $this->db->get($this->config->item('tbl_users'));
        $return = array();
        foreach($query->result_array() as $key => $customer)
        {
            $return[$key] = $customer;
            /*$return[$key]['total_paid'] =  $this->get_networth($customer['user_id']);
            $return[$key]['total_refund'] =  $this->get_refund($customer['user_id']);
            if ($return[$key]['total_paid'] > 0){
                $return[$key]['refund_rate'] =  ($return[$key]['total_refund']/$return[$key]['total_paid'])*100;
            }
            else {
                $return[$key]['refund_rate'] =  100;
            }*/
        }
        return $return;
    }

    function get_user_refund($user_id)
    {
        $this->db->select('SUM(transaction_amount) AS total_refunded');
        $this->db->where('transaction_status_details', 'Refunded');
        $this->db->where('user_id', $user_id);
        $this->db->limit(1);

        $query = $this->db->get($this->config->item('tbl_transactions'));

        if ($query->num_rows())
        {
            $row = $query->row_array();
            $total_refunded = $row['total_refunded'];
	}
        if ($total_refunded){
            return $total_refunded;
        }
        else{
            return "0.00";
        }
    }


    function get_customer_networth($user_id)
    {
        $this->db->select('SUM(transaction_amount) AS total_paid');
        $this->db->where('transaction_status_details', 'Completed');
        $this->db->where('user_id', $user_id);
        $this->db->limit(1);

        $query = $this->db->get($this->config->item('tbl_transactions'));

        if ($query->num_rows())
        {
            $row = $query->row_array();
            $total_paid = $row['total_paid'];
	}
        if ($total_paid){
            return $total_paid;
        }
        else{
            return "0.00";
        }
    }

}

?>
