<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Gateways extends Controller {

    function __construct() {
            parent::Controller();
            $module_name = "shop";
            //$this->template->set('system_message', '');
            $this->load->model($this->config->item('shop_model'));
            $this->load->model($this->config->item('smp_model'));
            $this->lang->load('shop', 'english');
    }

    //---------------------------------------------------------------

    //<editor-fold desc="FUNCTION DESCRIPTION: SHOW THE GATEWAYS LIST PAGE">
    /*
     * Function: index
     * Description: Shows the gateways list page
     * ##############################################################
     * Written: 10/08/2010
     * Author: Deep Arora
     * --------------------------------------------------------------
     * Update Log:
     * --------------------------------------------------------------
     * ##############################################################
     * @access public
     * @return void
     */
    //</editor-fold>
    function index($offset = '')
    {
        //<editor-fold desc="CHECK USER PERMISSION">
        smp_check_permission($this->config->item('perm_view'));
        //</editor-fold>

        //<editor-fold desc="SET PAGE META">
        $page_button_set = array(
            'Add New'    =>  'gateways/record',
            'View All'    =>  'gateways'
        );
        smp_set_page_meta('shop', 'gateway', $page_button_set);
        //</editor-fold>

        //<editor-fold desc="CREATE SEARCH FORM">
        $search_form_fields = array(
            array(
                'field'    =>  'title',
                'label'    =>  'Gateway Title',
                'type'     =>  'text',
                'class'    =>  '',
                'value'    =>  ''
            )
        );
        smp_create_form($search_form_fields, $this->config->item('form_gateway_search'), 'form_search');
        //</editor-fold>

        //<editor-fold desc="FETCHING DATA">
        $where_additional = smp_form_where_clause($_POST, $this->config->item('tbl_gateways'));
        if($where_additional){
            $where_additional .= " AND flg_system != 'Y'";
        }
        else{
            $where_additional = "flg_system != 'Y'";
        }
        $total_records = smp_count($this->config->item('tbl_gateways'), $where_additional);
        $result_set['gateways'] = $this->Smp_model->get_records($this->config->item('tbl_gateways'), $where_additional, $offset, $this->config->item('records_per_page'));
        $pagination = smp_set_pagination($this->config->item('page_list_gateways'), $total_records);
        //</editor-fold>

        //<editor-fold desc="LOAD THE TEMPLATE">
        $this->template->set('resultset', $result_set['gateways']);
        $this->template->set('pagination', $pagination);
        $this->template->view($this->config->item('gateway_list_view'));
        //</editor-fold>
    }

    //<editor-fold desc="FUNCTION DESCRIPTION: SHOW THE GATEWAY VIEW/EDIT PAGE">
    /**
     * Function: record
     * Description: Shows the gateway view/edit page
     * ##############################################################
     * Written: 05/16/2010
     * Author: Deep Arora
     * --------------------------------------------------------------
     * Update Log:
     * --------------------------------------------------------------
     * ##############################################################
     * @access public
     * @return void
     */
    //</editor-fold>
    function record($gateway_id = '', $offset = '')
    {
        //<editor-fold desc="CHECK USER PERMISSION">
        smp_check_permission($this->config->item('perm_view'));
        //</editor-fold>

        //<editor-fold desc="SET PAGE META">
        $page_button_set = array(
            'Add New'    =>  'gateways/record',
            'View All'    =>  'gateways'
        );
        smp_set_page_meta('shop', 'gateway', $page_button_set);
        //</editor-fold>

        //<editor-fold desc="FETCH FORM RULES & EXECUTE">
        $rules_config = smp_get_rules('gateways');
        $this->form_validation->set_rules($rules_config);
        //</editor-fold>

        //<editor-fold desc="CREATE SEARCH FORM">
        $search_form_fields = array(
            array(
                'field'    =>  'title',
                'label'    =>  'Gateway Title',
                'type'     =>  'text',
                'class'    =>  '',
                'value'    =>  ''
            )
        );
        smp_create_form($search_form_fields, $this->config->item('form_gateway_search'), 'form_search');
        //</editor-fold>

        //<editor-fold desc="POPULATE THE FORM">
        if ($gateway_id): $where_additional = "gateway_id = " . $gateway_id; else: $where_additional = "gateway_id = 0"; endif;

        if ($this->input->post('action') && $this->form_validation->run()){
            $_POST['controller'] = strtolower($_POST['type']);
            smp_process_form($_POST, $this->config->item('tbl_gateways'), 'gateway_id = ' . $gateway_id, 'shop/gateways');
            //if (smp_action_permission($this->input->post('action'))) {
                //$this->Shop_model->process_product($_POST, $this->input->post('action'), 'product_id = ' . $product_id, 'shop/products');
            //}
        }
        $result_set = $this->Smp_model->get_records($this->config->item('tbl_gateways'), $where_additional, $offset, $this->config->item('records_per_page'));

        if ($result_set):
            foreach ($result_set as $value){
                /*  Create edit form */
                $gateway_form_fields = array(
                   array(
                         'field'    =>  'gateway_id',
                         'label'    =>  'Gateway ID',
                         'type'     =>  'hidden',
                         'class'    =>  'small',
                         'value'    =>  $value->gateway_id
                      ),
                   array(
                         'field'    =>  'title',
                         'label'    =>  'Gateway Name',
                         'type'     =>  'text',
                         'class'    =>  'medium',
                         'value'    =>  $value->title
                      ),
                   array(
                         'field'    =>  'type',
                         'label'    =>  'Gateway Type',
                         'type'     =>  'dropdown',
                         'class'    =>  'medium',
                         'value'    =>  get_options($this->config->item('tbl_config'), 'key_value', 'key_value', 'key_name =\'SHOP_GATEWAYS\' AND flg_enabled = \'Y\' '),
                         'selected' =>  $value->type
                      ),
                   array(
                         'field'    =>  'flg_enabled',
                         'label'    =>  'Enabled',
                         'type'     =>  'dropdown',
                         'class'    =>  'small',
                         'value'    =>  get_options($this->config->item('tbl_config'), 'key_value', 'key_value', 'key_name =\'FLAG_YESNO\' AND flg_enabled = \'Y\' '),
                         'selected' =>  $value->flg_enabled
                      ),
                   array(
                         'field'    =>  'setting_1',
                         'label'    =>  'Setting 1',
                         'type'     =>  'text',
                         'class'    =>  'medium',
                         'value'    =>  $value->setting_1,
                         'help'     =>  $this->lang->line('f_gateways_setting_1')
                      ),
                   array(
                         'field'    =>  'setting_2',
                         'label'    =>  'Setting 2',
                         'type'     =>  'text',
                         'class'    =>  'medium',
                         'value'    =>  $value->setting_2,
                         'help'     =>  $this->lang->line('f_gateways_setting_2')
                      ),
                   array(
                         'field'    =>  'setting_3',
                         'label'    =>  'Setting 3',
                         'type'     =>  'text',
                         'class'    =>  'medium',
                         'value'    =>  $value->setting_3,
                         'help'     =>  $this->lang->line('f_gateways_setting_3')
                      ),
                   array(
                         'field'    =>  'setting_4',
                         'label'    =>  'Setting 4',
                         'type'     =>  'text',
                         'class'    =>  'medium',
                         'value'    =>  $value->setting_4,
                         'help'     =>  $this->lang->line('f_gateways_setting_4')
                      ),
                   array(
                         'field'    =>  'setting_5',
                         'label'    =>  'Setting 5',
                         'type'     =>  'text',
                         'class'    =>  'medium',
                         'value'    =>  $value->setting_5,
                         'help'     =>  $this->lang->line('f_gateways_setting_5')
                      )
                );

                smp_create_form($gateway_form_fields, $this->config->item('form_gateway_record') . '/' . $gateway_id, 'form_record', 'perm_delete');
            }
        else:
            /*  Create view form */
                $gateway_form_fields = array(
                   array(
                         'field'    =>  'title',
                         'label'    =>  'Gateway Name',
                         'type'     =>  'text',
                         'class'    =>  'medium',
                         'value'    =>  ''
                      ),                    
                   array(
                         'field'    =>  'type',
                         'label'    =>  'Gateway Type',
                         'type'     =>  'dropdown',
                         'class'    =>  'medium',
                         'value'    =>  get_options($this->config->item('tbl_config'), 'key_value', 'key_value', 'key_name =\'SHOP_GATEWAYS\' AND flg_enabled = \'Y\' '),
                         'selected' =>  ''
                      ),
                   array(
                         'field'    =>  'flg_enabled',
                         'label'    =>  'Enabled',
                         'type'     =>  'dropdown',
                         'class'    =>  'small',
                         'value'    =>  get_options($this->config->item('tbl_config'), 'key_value', 'key_value', 'key_name =\'FLAG_YESNO\' AND flg_enabled = \'Y\' '),
                         'selected' =>  ''
                      ),
                   array(
                         'field'    =>  'setting_1',
                         'label'    =>  'Setting 1',
                         'type'     =>  'text',
                         'class'    =>  'medium',
                         'value'    =>  '',
                         'help'     =>  $this->lang->line('f_gateways_setting_1')
                      ),
                   array(
                         'field'    =>  'setting_2',
                         'label'    =>  'Setting 2',
                         'type'     =>  'text',
                         'class'    =>  'medium',
                         'value'    =>  '',
                         'help'     =>  $this->lang->line('f_gateways_setting_2')
                      ),
                   array(
                         'field'    =>  'setting_3',
                         'label'    =>  'Setting 3',
                         'type'     =>  'text',
                         'class'    =>  'medium',
                         'value'    =>  '',
                         'help'     =>  $this->lang->line('f_gateways_setting_3')
                      ),
                   array(
                         'field'    =>  'setting_4',
                         'label'    =>  'Setting 4',
                         'type'     =>  'text',
                         'class'    =>  'medium',
                         'value'    =>  '',
                         'help'     =>  $this->lang->line('f_gateways_setting_4')
                      ),
                   array(
                         'field'    =>  'setting_5',
                         'label'    =>  'Setting 5',
                         'type'     =>  'text',
                         'class'    =>  'medium',
                         'value'    =>  '',
                         'help'     =>  $this->lang->line('f_gateways_setting_5')
                      )
            );
            smp_create_form($gateway_form_fields, $this->config->item('form_gateway_record'), 'form_record', 'perm_add', 'plain');

        endif;
        //</editor-fold>

        //<editor-fold desc="LOAD THE TEMPLATE">
        $this->template->view($this->config->item('record_view'));
        //</editor-fold>
    }

     /**
     * Function: delete
     * Description: Deletes the Record
     * ##############################################################
     * Written: 05/01/2010
     * Author: Deep Arora
     * --------------------------------------------------------------
     * Update Log:
     * --------------------------------------------------------------
     * ##############################################################
     * @access public
     * @return void
     */
    function delete($gateway_id = '')
    {
        //<editor-fold desc="DELETE RECORD">
        $post_action_path = site_url('shop/gateways');
        header('Location: ' . $post_action_path);

        //if (smp_check_permission($this->config->item('perm_delete'))){
          //  $this->Shop_model->process_product('', 'Delete', 'product_id = ' . $product_id, 'shop/products');
        //}
        //</editor-fold>
    }


}

/* End of file gateways.php */
/* Location: ./app/controllers/shop/gateways.php */