--
-- Table structure for table `global_config`
--

CREATE TABLE IF NOT EXISTS `global_config` (
  `key_id` int(11) NOT NULL AUTO_INCREMENT,
  `key_name` varchar(64) NOT NULL DEFAULT '',
  `key_value` text,
  `key_reference` bigint(20) DEFAULT '0',
  `key_title` varchar(255) DEFAULT '',
  `key_type` varchar(8) DEFAULT NULL,
  `key_help` text,
  `r_cre_id` int(11) DEFAULT '1',
  `r_cre_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `r_mod_id` int(11) DEFAULT NULL,
  `r_mod_time` datetime DEFAULT NULL,
  `flg_enabled` char(2) NOT NULL DEFAULT 'Y',
  PRIMARY KEY (`key_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `global_config`
--

INSERT INTO `global_config` (`key_id`, `key_name`, `key_value`, `key_reference`, `key_title`, `key_type`, `key_help`, `r_cre_id`, `r_cre_time`, `r_mod_id`, `r_mod_time`, `flg_enabled`) VALUES
(1, 'PRODUCT_TYPE', 'Subscription', 0, 'Product Type', 'SYSTEM', NULL, 1, '0000-00-00 00:00:00', NULL, NULL, 'Y'),
(2, 'PRODUCT_TYPE', 'Digital', 0, 'Product Type', 'SYSTEM', NULL, 1, '0000-00-00 00:00:00', NULL, NULL, 'Y'),
(3, 'TRANS_STATUS', 'completed', 0, 'Transaction Status', 'SYSTEM', NULL, 1, '0000-00-00 00:00:00', NULL, NULL, 'Y'),
(4, 'TRANS_STATUS', 'refunded', 0, 'Transaction Status', 'SYSTEM', NULL, 1, '0000-00-00 00:00:00', NULL, NULL, 'Y'),
(5, 'TRANS_STATUS', 'pending', 0, 'Transaction Status', 'SYSTEM', NULL, 1, '0000-00-00 00:00:00', NULL, NULL, 'Y'),
(6, 'SHOP_PAYPAL', 'invantollc@gmail.com', 0, 'Paypal Email', 'USER', NULL, 1, '0000-00-00 00:00:00', NULL, NULL, 'N'),
(7, 'ADMIN_NAME', 'Your Name', 0, 'Admin Name', 'USER', 'This is used in all outgoing email/communication generated by the system', 1, '0000-00-00 00:00:00', NULL, NULL, 'Y'),
(8, 'ADMIN_EMAIL', 'youremail@yourdomain.com', 0, 'Admin Email', 'USER', 'This is the from email id, used in all outgoing email/communication generated by the system', 1, '0000-00-00 00:00:00', 1, '2010-10-22 23:10:51', 'Y'),
(9, 'NOTIFY_SUCCESS', 'http://youraffiliatescript.com/notifysale', 0, 'Success Notification URL', 'USER', 'If you use an external affiliate script, enter the sale notification URL here. System will notify this URL when a new sale is recorded.', 1, '0000-00-00 00:00:00', 1, '2010-10-23 11:10:13', 'Y'),
(10, 'NOTIFY_VOID', 'http://youraffiliatescript.com/notifyrefund', 0, 'Refund Notification URL', 'USER', 'If you use an external affiliate script, enter the refund notification URL here. System will notify this URL when a new refund is recorded.', 1, '0000-00-00 00:00:00', NULL, NULL, 'Y'),
(11, 'TPL_EMAIL_NEW_ORDER_USER', 'Hello {first_name},<br><br> \r\n\r\nThank you for your buying - {item_name}<br><br> \r\n\r\nYou can access your download/subscription here:<br><br> \r\n\r\n{download_link}<br><br> \r\n\r\nYour login details are:<br> \r\nUsername: {username}<br> \r\nPassword: {password}<br> \r\n<br> \r\nBest regards,<br> \r\n{admin_name},<br> ', 0, 'New Order Notification', 'USER', 'This email template is used to notify users when they order a product. You can change the language of the email message, just keep the tags intact.', 1, '0000-00-00 00:00:00', NULL, NULL, 'Y'),
(12, 'DURATION_TYPE', 'Days', 0, 'Duration Type', 'SYSTEM', NULL, 1, '0000-00-00 00:00:00', NULL, NULL, 'Y'),
(13, 'DURATION_TYPE', 'Months', 0, 'Duration Type', 'SYSTEM', NULL, 1, '0000-00-00 00:00:00', NULL, NULL, 'Y'),
(14, 'DURATION_TYPE', 'Years', 0, 'Duration Type', 'SYSTEM', NULL, 1, '0000-00-00 00:00:00', NULL, NULL, 'Y'),
(15, 'SITE_TYPE', 'Blog Site', 1, 'Site Type', 'SSTEM', NULL, 1, '0000-00-00 00:00:00', NULL, NULL, 'Y'),
(16, 'SITE_TYPE', 'Membership Site', 2, 'Site Type', 'SYSTEM', NULL, 1, '0000-00-00 00:00:00', NULL, NULL, 'Y'),
(17, 'FLAG_YESNO', 'Yes', 0, 'Confirmation Flag', 'SYSTEM', NULL, 1, '0000-00-00 00:00:00', NULL, NULL, 'Y'),
(18, 'FLAG_YESNO', 'No', 0, 'Confirmation Flag', 'SYSTEM', NULL, 1, '0000-00-00 00:00:00', NULL, NULL, 'Y'),
(19, 'ACTIVE_SITE', 'Default', 1, 'Active Site', 'SYSTEM', NULL, 1, '0000-00-00 00:00:00', 1, '2010-10-26 20:10:29', 'Y'),
(20, 'POST_STATUS', 'PUBLISH', 0, 'Post Status', 'SYSTEM', NULL, 1, '0000-00-00 00:00:00', NULL, NULL, 'Y'),
(21, 'POST_STATUS', 'DRAFT', 0, 'Post Status', 'SYSTEM', NULL, 1, '0000-00-00 00:00:00', NULL, NULL, 'Y'),
(22, 'SHOP_GATEWAYS', 'Paypal', 0, 'Payment Gateway Type', 'SYSTEM', NULL, 1, '0000-00-00 00:00:00', NULL, NULL, 'Y'),
(23, 'TEMPLATE_TYPE', 'SHOP', 0, 'Template Type', 'SYSTEM', NULL, 1, '0000-00-00 00:00:00', NULL, NULL, 'Y'),
(24, 'CB_SHOW_AD', 'Yes', 0, 'Show ClickBank Ads', 'USER', 'Enter value as "Yes" if you want to display Clickbank ads inside customer area. Enter "No" otherwise.', 1, '0000-00-00 00:00:00', NULL, NULL, 'Y'),
(25, 'CB_ACCOUNT', 'sitemanpro', 0, 'ClickBank Account ID', 'USER', 'Enter your Clickbank ID here, if you have entered "Yes" for the "Show ClickBank Ads" field.', 1, '0000-00-00 00:00:00', NULL, NULL, 'Y'),
(26, 'ADS_KEYWORDS', 'internet marketing, seo, business', 0, 'Ad Keywords', 'USER', 'Enter your main keywords for which you wish to display Clickbank ads inside customer area. SMP will pull relevant ads for the keywords that you enter here.', 1, '0000-00-00 00:00:00', 1, '2010-10-22 23:10:03', 'Y'),
(27, 'ADS_NUMBER', '1', 0, 'Number of Promo Ads', 'USER', 'Enter the number of ads that you want to display inside customer area. Recommended value is 1.', 1, '0000-00-00 00:00:00', NULL, NULL, 'Y'),
(28, 'TPL_EMAIL_SEND_PASSWORD', 'Hello {first_name},<br><br> \r\n\r\nHere is your login information:<br><br> \r\n\r\nUsername: {username}<br>\r\nPassword: {password}<br> \r\nEmail: {email}<br><br>\r\n\r\nBest regards,<br> \r\n{admin_name},<br> \r\n{admin_email}', 0, 'Forgot Password Email', 'USER', 'This is the email template that is used to send password to the user when "forgot password" feature is used.', 1, '0000-00-00 00:00:00', NULL, NULL, 'Y'),
(29, 'FB_APP_ID', '111111111111111', 0, 'Facebook App ID', 'USER', 'If you want users to leave feedback or start a discussion for your products inside the customer area, then enter Facebook API ID here. You need to create a new app for yourself <a href="http://www.facebook.com/developers/createapp.php" target="_New">here</a>. For more help, please click here.', 1, '0000-00-00 00:00:00', NULL, NULL, 'Y'),
(30, 'CP_THEMES', 'gray_standard', 0, 'Gray Standard', 'SYSTEM', NULL, 1, '0000-00-00 00:00:00', NULL, NULL, 'Y'),
(31, 'CP_THEMES', 'apple_pie', 0, 'Apple Pie', 'SYSTEM', NULL, 1, '0000-00-00 00:00:00', NULL, NULL, 'Y'),
(32, 'CP_THEMES', 'black_rose', 0, 'Black Rose', 'SYSTEM', NULL, 1, '0000-00-00 00:00:00', NULL, NULL, 'Y'),
(33, 'CP_THEMES', 'blueberry', 0, 'Blueberry', 'SYSTEM', NULL, 1, '0000-00-00 00:00:00', NULL, NULL, 'Y'),
(34, 'CP_THEMES', 'gray_lightness', 0, 'Gray Light', 'SYSTEM', NULL, 1, '0000-00-00 00:00:00', NULL, NULL, 'Y'),
(35, 'DEFAULT_CPTHEME', 'apple_pie', 0, 'Default CP Theme', 'SYSTEM', NULL, 1, '0000-00-00 00:00:00', NULL, NULL, 'Y'),
(36, 'VERSION', '1.14', 0, 'Software Version', 'SYSTEM', NULL, 1, '0000-00-00 00:00:00', NULL, NULL, 'Y'),
(37, 'SHOP_GATEWAYS', 'Authnet', 0, 'Authnet Gateway', 'SYSTEM', NULL, 1, '0000-00-00 00:00:00', NULL, NULL, 'N'),
(38, 'BILL_ATTEMPTS', '0', 0, 'Bill Attempts', 'USER', 'Select how many billing attempts should system make in case previous charge fails. Enter 0 for unlimited attempts.', 1, '0000-00-00 00:00:00', NULL, NULL, 'Y'),
(39, 'API_KEY', 'JAHSGTY651BB819KAJSHBAHST', 0, 'API Key', 'USER', 'Set this key for socket connections. This is NOT an encryption key.', 1, '0000-00-00 00:00:00', NULL, NULL, 'Y'),
(40, 'SHOP_GATEWAYS', 'Clickbank', 0, 'Clickbank Gateway', 'SYSTEM', NULL, 1, '0000-00-00 00:00:00', NULL, NULL, 'Y'),
(41, 'SHOP_GATEWAYS', 'Offline', 0, 'Accept Payments Offline', 'SYSTEM', NULL, 1, '0000-00-00 00:00:00', 0, NULL, 'Y'),
(42, 'LICENSE', '0', 0, 'License', 'SYSTEM', NULL, 1, '0000-00-00 00:00:00', NULL, NULL, 'Y'),
(43, 'SUPPORT_LINK', 'http://www.sitemanpro.com/forum/', 0, 'Support Link', 'USER', 'You can specify your helpdesk URL here.', 1, '0000-00-00 00:00:00', NULL, NULL, 'Y');

--
-- Table structure for table `global_currency`
--

CREATE TABLE IF NOT EXISTS `global_currency` (
  `currency_id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(48) DEFAULT NULL,
  `code` varchar(8) DEFAULT NULL,
  PRIMARY KEY (`currency_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `global_currency`
--

INSERT INTO `global_currency` (`currency_id`, `title`, `code`) VALUES
(1, 'US Dollars', 'USD'),
(2, 'Australian Dollars', 'AUD'),
(3, 'Canadian Dolloars', 'CAD'),
(4, 'Czech Koruna', 'CZK'),
(5, 'Danish Kroner', 'DKK'),
(6, 'Euros', 'EUR'),
(7, 'Hong Kong Dollars', 'HKD'),
(8, 'Hungarian Forint', 'HUF'),
(9, 'New Zealand Dollars', 'NZD'),
(10, 'Norwegian Kroner', 'NOK'),
(11, 'Polish Zloty', 'PLN'),
(12, 'Pounds Sterling', 'GBP'),
(13, 'Singapore Dollars', 'SGD'),
(14, 'Swedish Kronor', 'SEK'),
(15, 'Swiss Francs', 'CHF'),
(16, 'Yen', 'JPY');

--
-- Table structure for table `global_funnel`
--

CREATE TABLE IF NOT EXISTS `global_funnel` (
  `funnel_id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) DEFAULT NULL,
  `action` text,
  `action_cost` float(12,2) DEFAULT '0.00',
  `r_cre_time` datetime DEFAULT NULL,
  PRIMARY KEY (`funnel_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;


--
-- Table structure for table `global_gateways`
--

CREATE TABLE IF NOT EXISTS `global_gateways` (
  `gateway_id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) DEFAULT NULL,
  `setting_1` varchar(255) DEFAULT NULL,
  `setting_2` varchar(255) DEFAULT NULL,
  `setting_3` varchar(255) DEFAULT NULL,
  `setting_4` varchar(255) DEFAULT NULL,
  `setting_5` varchar(255) DEFAULT NULL,
  `setting_6` varchar(255) DEFAULT NULL,
  `setting_7` varchar(255) DEFAULT NULL,
  `setting_8` varchar(255) DEFAULT NULL,
  `setting_9` varchar(255) DEFAULT NULL,
  `setting_10` varchar(255) DEFAULT NULL,
  `type` varchar(24) DEFAULT NULL,
  `controller` varchar(24) DEFAULT NULL,
  `flg_enabled` varchar(3) DEFAULT NULL,
  `flg_system` varchar(3) DEFAULT 'N',
  `r_cre_id` int(11) DEFAULT NULL,
  `r_cre_time` datetime DEFAULT NULL,
  `r_mod_id` int(11) DEFAULT NULL,
  `r_mod_time` datetime DEFAULT NULL,
  PRIMARY KEY (`gateway_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `global_gateways`
--

INSERT INTO `global_gateways` (`gateway_id`, `title`, `setting_1`, `setting_2`, `setting_3`, `setting_4`, `setting_5`, `setting_6`, `setting_7`, `setting_8`, `setting_9`, `setting_10`, `type`, `controller`, `flg_enabled`, `flg_system`, `r_cre_id`, `r_cre_time`, `r_mod_id`, `r_mod_time`) VALUES
(1, 'Paypal', 'yourpaypalid@email.com', '', '', '', '', NULL, NULL, NULL, NULL, NULL, 'Paypal', 'paypal', 'Yes', 'N', 0, NULL, 1, '2010-11-02 00:11:24'),
(2, 'User Points', 'Points', '', '', '', '', NULL, NULL, NULL, NULL, NULL, 'Points', 'points', 'Yes', 'Y', 1, '2011-03-05 01:03:07', 1, '2011-03-05 12:03:29');


--
-- Table structure for table `global_meta`
--

CREATE TABLE IF NOT EXISTS `global_meta` (
  `meta_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `meta_name` varchar(255) DEFAULT NULL,
  `meta_type` varchar(12) DEFAULT NULL,
  `type_id` bigint(20) DEFAULT NULL,
  `meta_key` varchar(255) DEFAULT NULL,
  `meta_value` longtext,
  PRIMARY KEY (`meta_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `global_meta`
--

INSERT INTO `global_meta` (`meta_id`, `meta_name`, `meta_type`, `type_id`, `meta_key`, `meta_value`) VALUES
(1, 'links', 'module', NULL, 'page_title', 'Links Management'),
(2, 'links', 'module', NULL, 'page_description', 'Track your links and measure the effectiveness of your marketing. '),
(3, 'links', 'module', NULL, 'page_help', 'Page help article goes here. '),
(4, 'product', 'module', NULL, 'page_title', 'Product Management'),
(5, 'product', 'module', NULL, 'page_description', 'Manage your digital or subscription based products'),
(6, 'product', 'module', NULL, 'page_help', '<B>TIP</B>: While creating or editing the products, you can specify the templates in the "Product Template" dropdown field. If you ever require to change the look of your product pages, simply edit the template on the templates page and it will be reflected in all your product pages that use the template you edited.'),
(7, 'order', 'module', NULL, 'page_title', 'Order Management'),
(8, 'order', 'module', NULL, 'page_description', 'Manage and process customer orders '),
(9, 'order', 'module', NULL, 'page_help', NULL),
(10, 'gateway', 'module', NULL, 'page_title', 'Payment Gateways'),
(11, 'gateway', 'module', NULL, 'page_description', 'Manage payment gateways. Gateways you add here will appear on the product configuration page.'),
(12, 'users', 'module', NULL, 'page_title', 'User Management'),
(13, 'users', 'module', NULL, 'page_description', 'Manage all users (customers, vendors, contacts) here.'),
(14, 'templates', 'module', NULL, 'page_title', 'Templates Management'),
(15, 'templates', 'module', NULL, 'page_description', 'The templates are the easiest way to manage the look & feel of your product order and product download pages.'),
(16, 'myorders', 'module', NULL, 'page_title', 'My Orders'),
(17, 'myorders', 'module', NULL, 'page_description', 'Check and access your orders on this page'),
(18, 'settings', 'module', NULL, 'page_title', 'System Configuration'),
(19, 'settings', 'module', NULL, 'page_description', 'Manage system settings and configuration'),
(20, 'manager', 'module', NULL, 'page_title', 'Apps Management'),
(21, 'manager', 'module', NULL, 'page_description', 'Manage available applications and upgrades'),
(22, 'dashboard', 'module', NULL, 'page_title', 'Dashboard'),
(23, 'dashboard', 'module', NULL, 'page_description', 'Welcome back to your business dashboard');



--
-- Table structure for table `global_modules`
--

CREATE TABLE IF NOT EXISTS `global_modules` (
  `module_id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `flg_enable` char(3) DEFAULT NULL,
  `ordering` int(11) DEFAULT NULL,
  `folder_name` varchar(255) DEFAULT NULL,
  `file_name` varchar(255) DEFAULT NULL,
  `icon` varchar(24) DEFAULT NULL,
  `version` float DEFAULT NULL,
  PRIMARY KEY (`module_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `global_modules`
--

INSERT INTO `global_modules` (`module_id`, `title`, `description`, `flg_enable`, `ordering`, `folder_name`, `file_name`, `icon`, `version`) VALUES
(1, 'Home', 'Home', 'Y', 0, 'global', 'dashboard', 'module-home.gif', 0),
(2, 'Sites', 'Sites', 'N', 1, 'cms', 'sites', 'module-sites.gif', 0),
(3, 'Shop', 'Author: Deep Arora <br> Support: <a href=http://sitemanpro.com/community target=_New>Click here</a> <br> Used for selling digital goods / paid subscriptions.', 'Y', 2, 'shop', 'products', 'module-shop.gif', 1),
(4, 'Orders', 'Orders', 'Y', 0, 'shop', 'myorders', 'module-orders.gif', 1),
(5, 'Config', 'Author: Deep Arora <br> Support: <a href=http://sitemanpro.com/community target=_New>Click here</a> <br> Used for core configuration.', 'Y', 999, 'config', 'settings', 'module-config.gif', 1),
(6, 'Tools', 'Tools', 'N', 4, 'tools', 'research', 'module-tools.gif', 0),
(7, 'Contacts', 'Author: Deep Arora <br> Support: <a href=http://sitemanpro.com/community target=_New>Click here</a> <br> Used for contacts database.', 'Y', 3, 'contacts', 'users', 'module-contacts.gif', 1),
(8, 'Updates', 'Author: Deep Arora <br> Support: <a href=http://sitemanpro.com/community target=_New>Click here</a> <br> Used for system upgrades.', 'Y', 999, 'updates', 'updates', 'module-updates.gif', 1.14),
(9, 'Apps', 'Author: Deep Arora <br> Support: <a href=http://sitemanpro.com/community target=_New>Click here</a> <br> Used for apps management.', 'Y', 998, 'apps', 'manager', 'module-apps.gif', 1);


--
-- Table structure for table `global_roles`
--

CREATE TABLE IF NOT EXISTS `global_roles` (
  `role_id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `flg_enable` varchar(3) DEFAULT 'Yes',
  `r_cre_id` int(11) DEFAULT NULL,
  `r_cre_time` datetime DEFAULT NULL,
  PRIMARY KEY (`role_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `global_roles`
--

INSERT INTO `global_roles` (`role_id`, `title`, `description`, `flg_enable`, `r_cre_id`, `r_cre_time`) VALUES
(1, 'Admin', 'Administrator', 'Yes', 1, NULL),
(2, 'Customer', 'Customer', 'Yes', 1, NULL),
(3, 'Lead', 'Lead', 'No', 1, NULL),
(4, 'Author', 'Author', 'No', NULL, NULL),
(5, 'Editor', 'Editor', 'No', NULL, NULL),
(6, 'Vendor', 'Vendor', 'Yes', NULL, NULL),
(7, 'Contact', 'Contact', 'Yes', NULL, NULL);

--
-- Table structure for table `global_rules`
--

CREATE TABLE IF NOT EXISTS `global_rules` (
  `rule_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `rule_name` varchar(255) DEFAULT NULL,
  `field_name` varchar(255) DEFAULT NULL,
  `field_label` varchar(255) DEFAULT NULL,
  `field_rule` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`rule_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `global_rules`
--

INSERT INTO `global_rules` (`rule_id`, `rule_name`, `field_name`, `field_label`, `field_rule`) VALUES
(1, 'links', 'title', 'Title', 'trim|required|xss_clean'),
(2, 'links', 'redirect_to', 'Destination URL', 'trim|required|xss_clean'),
(3, 'products', 'product_name', 'Product Title', 'trim|required|xss_clean'),
(4, 'products', 'product_type', 'Product Type', 'trim|required|xss_clean'),
(5, 'products', 'price', 'Price', 'required|numeric'),
(6, 'products', 'currency_code', 'Currency', 'trim|required|xss_clean'),
(7, 'sites', 'site_title', 'Site Title', 'trim|required|xss_clean'),
(8, 'sites', 'flg_status', 'Activation Status', 'required'),
(9, 'sites', 'comment_status', 'Comment Status', 'required'),
(10, 'sites', 'site_type', 'Site Type', 'required'),
(11, 'posts', 'post_title', 'Post Title', 'trim|required|xss_clean'),
(12, 'posts', 'post_seo_title', 'SEO Title', 'trim|required|xss_clean'),
(13, 'posts', 'post_date', 'Publish Date', 'required'),
(14, 'posts', 'post_status', 'Publish Status', 'required'),
(15, 'posts', 'post_views', 'Post Views', 'numeric'),
(16, 'posts', 'post_category', 'Post Category', 'required'),
(17, 'category', 'category_name', 'Category Title', 'trim|required|xss_clean'),
(18, 'category', 'category_slug', 'Category Slug', 'trim|required|xss_clean'),
(19, 'products', 'return_url', 'Return URL', 'trim|required|xss_clean'),
(20, 'products', 'cancel_url', 'Cancel URL', 'trim|required|xss_clean'),
(21, 'orders', 'transaction_date', 'Order Date', 'required'),
(22, 'orders', 'product_id', 'Product', 'required'),
(23, 'orders', 'transaction_amount', 'Amount', 'required|numeric'),
(24, 'orders', 'user', 'User', 'trim|required|xss_clean|callback_verify_user'),
(25, 'orders', 'transaction_status_details', 'Order Status', 'trim|required|xss_clean'),
(26, 'future', 'transaction_status_details', 'Order Status', 'trim|required|xss_clean'),
(27, 'users', 'username', 'Username', 'trim|required|xss_clean|callback_unique_user'),
(28, 'users', 'email', 'Email', 'trim|required|xss_clean|callback_unique_user'),
(29, 'users', 'password', 'Password', 'trim|required|xss_clean'),
(30, 'users', 'first_name', 'First Name', 'trim|required|xss_clean'),
(31, 'users', 'last_name', 'Last Name', 'trim|required|xss_clean'),
(32, 'gateways', 'type', 'Gateway Type', 'trim|required|xss_clean'),
(33, 'gateways', 'flg_enabled', 'Enabled', 'trim|required|xss_clean'),
(34, 'gateways', 'setting_1', 'Setting', 'trim|required|xss_clean'),
(35, 'gateways', 'title', 'Gateway Title', 'trim|required|xss_clean'),
(36, 'templates', 'template_title', 'Template Title', 'trim|required|xss_clean'),
(37, 'templates', 'template_type', 'Template Type', 'trim|required|xss_clean'),
(38, 'templates', 'template_code', 'Template Code', 'trim|required|xss_clean'),
(39, 'templates', 'flg_enabled', 'Enabled Flag', 'trim|required|xss_clean'),
(40, 'settings', 'key_name', 'Setting Key', 'trim|required|xss_clean'),
(41, 'settings', 'key_title', 'Setting Title', 'trim|required|xss_clean'),
(42, 'settings', 'key_value', 'Setting Value', 'trim|required|xss_clean'),
(43, 'settings', 'key_help', 'Setting Description', 'trim|required|xss_clean'),
(44, 'users', 'points_total', 'Total Points', 'trim|integer|xss_clean'),
(45, 'users', 'points_balance', 'Points Balance', 'trim|integer|xss_clean'),
(46, 'products', 'require_points', 'Points Required', 'trim|integer|xss_clean'),
(47, 'products', 'award_points', 'Award Points', 'trim|integer|xss_clean');


--
-- Table structure for table `global_submodules`
--

CREATE TABLE IF NOT EXISTS `global_submodules` (
  `submodule_id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `module_id` int(11) DEFAULT NULL,
  `ordering` int(11) DEFAULT '0',
  `flg_enable` char(3) DEFAULT NULL,
  `version` float DEFAULT '1',
  PRIMARY KEY (`submodule_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `global_submodules`
--

INSERT INTO `global_submodules` (`submodule_id`, `title`, `description`, `module_id`, `ordering`, `flg_enable`) VALUES
(1, 'Dashboard', 'Dashboard', 1, 0, 'Y'),
(2, 'Change Password', 'Change Password', 1, 1, 'Y'),
(3, 'Sites', 'Sites', 2, 0, 'Y'),
(4, 'Category', 'Category', 2, 1, 'Y'),
(5, 'Pages', 'Pages', 2, 2, 'Y'),
(6, 'Posts', 'Posts', 2, 3, 'Y'),
(7, 'Comments', 'Comments', 2, 4, 'Y'),
(8, 'Products', 'Products', 3, 0, 'Y'),
(9, 'Orders', 'Orders', 3, 1, 'Y'),
(10, 'Gateways', 'Gateways', 3, 2, 'Y'),
(11, 'Templates', 'Templates', 5, 1, 'Y'),
(12, 'API', 'API', 3, 4, 'Y'),
(13, 'Settings', 'Settings', 1, 2, 'Y'),
(14, 'My Orders', 'My Orders', 4, 0, 'N'),
(15, 'Subscriptions', 'Subscriptions', 4, 1, 'N'),
(16, 'Settings', 'Settings', 5, 0, 'Y'),
(17, 'Email Templates', 'Email Templates', 1, 3, 'Y'),
(18, 'Links', 'Links', 6, 1, 'N'),
(19, 'Users', 'Users', 7, 0, 'Y'),
(20, 'Research', 'Research', 6, 0, 'Y'),
(21, 'Manager', 'Apps Manager', 9, 0, 'Y');


--
-- Table structure for table `global_submodule_files`
--

CREATE TABLE IF NOT EXISTS `global_submodule_files` (
  `page_id` int(11) NOT NULL AUTO_INCREMENT,
  `submodule_id` int(11) DEFAULT NULL,
  `folder_name` varchar(255) DEFAULT NULL,
  `file_name` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`page_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `global_submodule_files`
--

INSERT INTO `global_submodule_files` (`page_id`, `submodule_id`, `folder_name`, `file_name`) VALUES
(1, 3, 'cms', 'sites'),
(2, 4, 'cms', 'category'),
(3, 5, 'cms', 'pages'),
(4, 6, 'cms', 'posts'),
(5, 7, 'cms', 'comments'),
(6, 8, 'shop', 'products'),
(7, 9, 'shop', 'orders'),
(8, 10, 'shop', 'gateways'),
(9, 14, 'shop', 'myorders'),
(10, 11, 'config', 'templates'),
(11, 16, 'config', 'settings'),
(12, 19, 'contacts', 'users'),
(13, 20, 'tools', 'research'),
(14, 21, 'apps', 'manager'),
(15, 1, 'global', 'dashboard');


--
-- Table structure for table `global_templates`
--

CREATE TABLE IF NOT EXISTS `global_templates` (
  `template_id` int(11) NOT NULL AUTO_INCREMENT,
  `template_type` varchar(8) DEFAULT 'shop',
  `template_title` varchar(255) DEFAULT NULL,
  `template_code` text,
  `flg_enabled` varchar(3) DEFAULT 'Yes',
  `r_cre_id` int(11) DEFAULT NULL,
  `r_cre_time` datetime DEFAULT NULL,
  `r_mod_id` int(11) DEFAULT NULL,
  `r_mod_time` datetime DEFAULT NULL,
  PRIMARY KEY (`template_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `global_templates`
--

INSERT INTO `global_templates` (`template_id`, `template_type`, `template_title`, `template_code`, `flg_enabled`, `r_cre_id`, `r_cre_time`, `r_mod_id`, `r_mod_time`) VALUES
(1, 'SHOP', 'Simple Cart', '<table align="center" bgcolor="#ffffff" border="0" cellpadding="5" cellspacing="0" width="700">\n <tbody>\n  <tr>\n   <td>\n    <font face="tahoma">{tag_downloadinfo}</font></td>\n  </tr>\n  <tr>\n   <td>\n    <table border="0" cellpadding="1" cellspacing="1" width="100%">\n     <tbody>\n      <tr>\n       <td valign="top" width="200">\n        <font face="tahoma">{tag_productimage} </font></td>\n       <td valign="top" width="*">\n        <p>\n         <span style="font-size: larger;"><font face="tahoma">{tag_productname} - {tag_productprice}</font></span></p>\n        <p>\n         <font face="tahoma">{tag_productdescription}</font></p>\n       </td>\n      </tr>\n     </tbody>\n    </table>\n   </td>\n  </tr>\n  <tr>\n   <td style="text-align: center;">\n    <p>\n     <font face="tahoma">{tag_productlicense}</font></p>\n    <p>\n     &nbsp;</p>\n   </td>\n  </tr>\n  <tr>\n   <td>\n    <font face="tahoma">{tag_paymentform}</font></td>\n  </tr>\n  <tr>\n   <td bgcolor="#eeeeee" height="10" style="text-align: center;">\n    &nbsp;</td>\n  </tr>\n </tbody>\n</table>', 'Yes', NULL, NULL, 1, '2010-10-13 16:10:09');

--
-- Table structure for table `global_transactions`
--

CREATE TABLE IF NOT EXISTS `global_transactions` (
  `transaction_id` int(11) NOT NULL AUTO_INCREMENT,
  `transaction_type` int(11) DEFAULT NULL,
  `account_id` int(11) DEFAULT NULL,
  `transaction_date` datetime DEFAULT NULL,
  `transaction_payee` varchar(255) DEFAULT NULL,
  `transaction_category` int(11) DEFAULT NULL,
  `transaction_amount` float(12,2) DEFAULT '0.00',
  `currency_code` varchar(8) DEFAULT 'USD',
  `transaction_memo` text,
  `transaction_notes` text,
  `receipt_id` varchar(64) DEFAULT NULL,
  `transaction_title` varchar(255) DEFAULT NULL,
  `user_id` int(11) DEFAULT NULL,
  `channel` varchar(255) DEFAULT NULL,
  `channel_id` int(11) DEFAULT NULL,
  `transaction_status_code` int(11) DEFAULT NULL,
  `payee_email` varchar(255) DEFAULT NULL,
  `taxable` int(11) DEFAULT NULL,
  `begin_date` date DEFAULT NULL,
  `expire_date` date DEFAULT NULL,
  `next_bill_date` date DEFAULT NULL,
  `next_billed_flg` varchar(2) DEFAULT NULL,
  `bill_attempts` int(11) DEFAULT '0',
  `gateway_id` varchar(32) DEFAULT NULL,
  `transaction_status_details` varchar(255) DEFAULT NULL,
  `sector` varchar(255) DEFAULT NULL,
  `sector_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`transaction_id`),
  KEY `account_id` (`account_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Table structure for table `global_users`
--

CREATE TABLE IF NOT EXISTS `global_users` (
  `role_id` int(11) DEFAULT NULL,
  `username` varchar(255) DEFAULT NULL,
  `password` varchar(80) DEFAULT NULL,
  `user_id` int(11) NOT NULL AUTO_INCREMENT,
  `first_name` varchar(255) DEFAULT NULL,
  `last_name` varchar(255) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `company_name` varchar(255) DEFAULT NULL,
  `web_url` varchar(255) DEFAULT NULL,
  `contact_phone` varchar(24) DEFAULT NULL,
  `addr_street` varchar(255) DEFAULT NULL,
  `addr_city` varchar(255) DEFAULT NULL,
  `addr_state` varchar(255) DEFAULT NULL,
  `addr_zip` varchar(255) DEFAULT NULL,
  `addr_country` varchar(255) DEFAULT NULL,
  `notes` text,
  `flg_enabled` char(3) DEFAULT 'Yes',
  `channel` varchar(80) DEFAULT NULL,
  `remote_addr` varchar(24) DEFAULT NULL,
  `last_login` datetime DEFAULT NULL,
  `email_verified` tinyint(4) DEFAULT '0',
  `security_code` varchar(80) DEFAULT NULL,
  `securitycode_expire` datetime DEFAULT NULL,
  `flg_private` char(2) DEFAULT 'N',
  `yahoo_id` varchar(255) DEFAULT NULL,
  `msn_id` varchar(255) DEFAULT NULL,
  `gtalk_id` varchar(255) DEFAULT NULL,
  `skype_id` varchar(255) DEFAULT NULL,
  `email_work` varchar(255) DEFAULT NULL,
  `user_picture` varchar(255) DEFAULT NULL,
  `full_address` varchar(255) DEFAULT NULL,
  `paypal_id` varchar(255) DEFAULT NULL,
  `last_ip` varchar(24) DEFAULT NULL,
  `site_id` int(11) DEFAULT '0',
  `points_balance` int(11) DEFAULT '0',
  `points_total` int(11) DEFAULT '0',
  `active_theme` varchar(24) DEFAULT NULL,
  `card_num` varchar(128) DEFAULT NULL,
  `card_code` varchar(12) DEFAULT NULL,
  `exp_mon` varchar(8) DEFAULT NULL,
  `exp_yr` varchar(8) DEFAULT NULL,
  `card_type` varchar(24) DEFAULT NULL,
  `ref_by` varchar(48) DEFAULT NULL,
  `r_cre_id` int(11) DEFAULT NULL,
  `r_cre_time` datetime DEFAULT NULL,
  `r_mod_id` int(11) DEFAULT NULL,
  `r_mod_time` datetime DEFAULT NULL,
  PRIMARY KEY (`user_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `global_users`
--

INSERT INTO `global_users` (`role_id`, `username`, `password`, `user_id`, `first_name`, `last_name`, `email`, `company_name`, `web_url`, `contact_phone`, `addr_street`, `addr_city`, `addr_state`, `addr_zip`, `addr_country`, `notes`, `flg_enabled`, `channel`, `remote_addr`, `last_login`, `email_verified`, `security_code`, `securitycode_expire`, `flg_private`, `yahoo_id`, `msn_id`, `gtalk_id`, `skype_id`, `email_work`, `user_picture`, `full_address`, `paypal_id`, `last_ip`, `site_id`, `points_balance`, `points_total`, `active_theme`, `card_num`, `card_code`, `exp_mon`, `exp_yr`, `card_type`, `ref_by`, `r_cre_id`, `r_cre_time`, `r_mod_id`, `r_mod_time`) VALUES
(1, 'admin', 'admin', 1, 'Your', 'Name', 'admin@email.com', 'Your Company Name', 'http://domainname.com', '000-000-0000', 'Street Address', 'City', 'ST', '00000', 'COUNTRY', NULL, 'Yes', NULL, NULL, NULL, 1, '', NULL, 'N', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 'apple_pie', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, '2010-11-04 12:12:12');


--
-- Table structure for table `mapping_product_gateways`
--

CREATE TABLE IF NOT EXISTS `mapping_product_gateways` (
  `gateway_id` int(11) DEFAULT NULL,
  `gateway_title` varchar(24) DEFAULT NULL,
  `product_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


--
-- Table structure for table `mapping_role_modules`
--

CREATE TABLE IF NOT EXISTS `mapping_role_modules` (
  `mapping_id` int(11) NOT NULL AUTO_INCREMENT,
  `role_id` int(11) NOT NULL DEFAULT '0',
  `submodule_id` int(11) DEFAULT '0',
  `module_id` int(11) DEFAULT '0',
  `perm_view` int(11) DEFAULT '0',
  `perm_add` int(11) DEFAULT '0',
  `perm_edit` int(11) DEFAULT '0',
  `perm_delete` int(11) DEFAULT '0',
  `perm_approve_self` int(11) DEFAULT '0',
  `perm_approve_others` int(11) DEFAULT '0',
  PRIMARY KEY (`mapping_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `mapping_role_modules`
--

INSERT INTO `mapping_role_modules` (`mapping_id`, `role_id`, `submodule_id`, `module_id`, `perm_view`, `perm_add`, `perm_edit`, `perm_delete`, `perm_approve_self`, `perm_approve_others`) VALUES
(1, 1, 1, 1, 1, 1, 1, 1, 1, 1),
(2, 1, 2, 1, 1, 1, 1, 1, 1, 1),
(3, 1, 3, 2, 1, 1, 1, 1, 1, 1),
(4, 1, 4, 2, 1, 1, 1, 1, 1, 1),
(5, 1, 5, 2, 1, 1, 1, 1, 1, 1),
(6, 1, 6, 2, 1, 1, 1, 1, 1, 1),
(7, 1, 7, 2, 1, 1, 1, 1, 1, 1),
(8, 1, 8, 3, 1, 1, 1, 1, 1, 1),
(9, 1, 9, 3, 1, 1, 1, 1, 1, 1),
(10, 1, 10, 3, 1, 1, 1, 1, 1, 1),
(11, 1, 11, 5, 1, 1, 1, 1, 1, 1),
(12, 1, 12, 3, 0, 0, 0, 0, 0, 0),
(13, 1, 13, 1, 1, 1, 1, 1, 1, 1),
(14, 2, 14, 4, 1, 0, 0, 0, 0, 0),
(15, 2, 15, 4, 1, 0, 0, 0, 0, 0),
(16, 1, 16, 5, 1, 1, 1, 0, 1, 1),
(17, 1, 17, 1, 1, 1, 1, 1, 1, 1),
(18, 1, 18, 6, 1, 1, 1, 0, 1, 1),
(19, 1, 19, 7, 1, 1, 1, 1, 1, 1),
(20, 1, 20, 6, 1, 1, 1, 1, 1, 1),
(21, 1, 21, 9, 1, 1, 1, 1, 1, 1);


--
-- Table structure for table `shop_order_items`
--

CREATE TABLE IF NOT EXISTS `shop_order_items` (
  `order_item_id` int(10) NOT NULL AUTO_INCREMENT,
  `order_id` int(10) DEFAULT NULL,
  `product_id` int(10) DEFAULT NULL,
  `quantity` int(10) DEFAULT NULL,
  `price` float DEFAULT NULL,
  PRIMARY KEY (`order_item_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;


--
-- Table structure for table `shop_products`
--

CREATE TABLE IF NOT EXISTS `shop_products` (
  `product_id` int(10) NOT NULL AUTO_INCREMENT,
  `sku` varchar(24) DEFAULT NULL,
  `product_name` varchar(255) DEFAULT NULL,
  `info_url` varchar(255) DEFAULT NULL,
  `price` float DEFAULT NULL,
  `renewal_price` float DEFAULT NULL,
  `currency_code` varchar(8) DEFAULT 'USD',
  `image_url` varchar(255) DEFAULT NULL,
  `description` text,
  `shipping` float DEFAULT NULL,
  `add_shipping` float DEFAULT NULL,
  `file_path` varchar(255) DEFAULT NULL,
  `file_path_type` int(11) DEFAULT '1',
  `product_type` varchar(24) DEFAULT NULL,
  `account_id` int(11) DEFAULT NULL,
  `product_header` text,
  `product_footer` text,
  `duration` int(11) DEFAULT NULL,
  `duration_type` varchar(8) DEFAULT 'D',
  `expire_download` int(11) DEFAULT '0',
  `product_download_page` text,
  `kunaki_enabled` char(2) DEFAULT 'N',
  `kunaki_product_id` varchar(24) DEFAULT NULL,
  `autoresponder_service` int(11) DEFAULT NULL,
  `autoresponder_unit` varchar(80) DEFAULT NULL,
  `product_license` text,
  `template_id` int(11) DEFAULT '0',
  `product_template` text,
  `recurring_times` int(11) DEFAULT '0',
  `site_id` int(11) DEFAULT '0',
  `return_url` varchar(255) DEFAULT NULL,
  `cancel_url` varchar(255) DEFAULT NULL,
  `paypal_id` varchar(255) DEFAULT NULL,
  `add_grp` int(11) DEFAULT NULL,
  `remove_grp` int(11) DEFAULT NULL,
  `flg_customer_area` char(3) DEFAULT 'Yes',
  `stock` bigint(20) DEFAULT '0',
  `sold` bigint(20) DEFAULT '0',
  `flg_track_inventory` varchar(3) DEFAULT 'No',
  `flg_social_discussion` varchar(3) DEFAULT 'Yes',
  `cb_id` int(11) DEFAULT '0',
  `flg_enabled` char(3) DEFAULT 'Yes',
  `require_points` bigint(20) DEFAULT '0',
  `award_points` bigint(20) DEFAULT '0',
  `r_cre_id` int(11) DEFAULT NULL,
  `r_cre_time` datetime DEFAULT NULL,
  `r_mod_id` int(11) DEFAULT NULL,
  `r_mod_time` datetime DEFAULT NULL,
  PRIMARY KEY (`product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;


--
-- Table structure for table `shop_related_products`
--

CREATE TABLE IF NOT EXISTS `shop_related_products` (
  `product_id` int(11) DEFAULT NULL,
  `related_product_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


CREATE TABLE IF NOT EXISTS `global_logs` (
  `log_id` int(11) NOT NULL AUTO_INCREMENT,
  `log_ip` varchar(16) DEFAULT NULL,
  `log_message` text,
  `log_time` datetime DEFAULT NULL,
  `log_type` varchar(12) DEFAULT NULL,
  `log_by` varchar(64) DEFAULT NULL,
  PRIMARY KEY (`log_id`),
  KEY `log_id` (`log_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `global_hooks` (
  `action_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `site_id` int(11) DEFAULT '0',
  `action_hook` varchar(64) DEFAULT NULL,
  `action_type` varchar(12) DEFAULT NULL,
  `action_name` varchar(255) DEFAULT NULL,
  `action_description` text,
  `action_folder` varchar(24) DEFAULT NULL,
  `action_file` varchar(128) DEFAULT NULL,
  `action_function` varchar(128) DEFAULT NULL,
  `flg_enable` char(3) DEFAULT 'Y',
  `version` float DEFAULT '1',
  PRIMARY KEY (`action_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

INSERT INTO `global_hooks` (`action_id`, `site_id`, `action_hook`, `action_type`, `action_name`, `action_description`, `action_folder`, `action_file`, `action_function`, `flg_enable`, `version`) VALUES
(NULL, 0, 'hook_shop_order_complete', 'library', 'award_points', NULL, 'hooks', 'pointsmanager', 'award_points', 'Y', 1),
(NULL, 0, 'hook_shop_order_complete', 'library', 'deduct_points', NULL, 'hooks', 'pointsmanager', 'deduct_points', 'Y', 1);
